//
//  IdentityDocumentsValidationLoaderView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 01/07/2025.
//

import Lottie
import SwiftUI

struct IdentityDocumentsValidationLoaderView: View {
    var body: some View {
        VStack {
            HStack {
                SQProgressIndicator(.constant(true))
                SQProgressIndicator(.constant(false))
                SQProgressIndicator(.constant(false))
            }
            Spacer()
            VStack(spacing: 16) {
                LottieView(animation: .named("av_loader"))
                    .looping()
                    .frame(width: 60, height: 60)
                SQText("Vérification en cours...")
                    .sqSize(20)
                    .sqFont(.semiBold)
            }
            Spacer()
        }
        .padding(.horizontal)
    }
}

#Preview {
    IdentityDocumentsValidationLoaderView()
}
